<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-modem-info.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.3.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">mcm-modem-info.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="mcm-modem-info_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef _MCM_MODEM_INFO_H_</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define _MCM_MODEM_INFO_H_</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="mcm-base-info_8h.html">mcm-base-info.h</a>&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160; </div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32">   18</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> {</div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32ad0cf432ab051e6b380cedc418a319487">   19</a></span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32ad0cf432ab051e6b380cedc418a319487">MCM_MODEM_STATE_NOT_READY</a>    = 0, </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32aceae074bcb388fcb2cc0d68c9d78893c">   20</a></span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32aceae074bcb388fcb2cc0d68c9d78893c">MCM_MODEM_STATE_INITIALIZING</a> = 1, </div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a53917931b6ce02779a6379a62e0bbec4">   21</a></span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a53917931b6ce02779a6379a62e0bbec4">MCM_MODEM_STATE_PIN_LOCKED</a>   = 2, </div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32acf1c9438d153da2c7264db174f8663fb">   22</a></span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32acf1c9438d153da2c7264db174f8663fb">MCM_MODEM_STATE_PUK_LOCKED</a>   = 3, </div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a2fcc38a8cf59637e5c2a64c3fa63077c">   23</a></span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a2fcc38a8cf59637e5c2a64c3fa63077c">MCM_MODEM_STATE_RADIO_OFF</a>    = 4, </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32af11dd7d91b6e0f5fc892b1c83ed61009">   24</a></span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32af11dd7d91b6e0f5fc892b1c83ed61009">MCM_MODEM_STATE_RADIO_ON</a>     = 5, </div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a9445f907dc7e6234c0c8c2d6203b7da0">   25</a></span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a9445f907dc7e6234c0c8c2d6203b7da0">MCM_MODEM_STATE_SEARCHING</a>    = 6, </div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a1a81741fe0946f734851ccff3a5ff731">   26</a></span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a1a81741fe0946f734851ccff3a5ff731">MCM_MODEM_STATE_REGISTERED</a>   = 7, </div>
<div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32afe24b1f6dbea1f97ee9c310bcb274ea3">   27</a></span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32afe24b1f6dbea1f97ee9c310bcb274ea3">MCM_MODEM_STATE_CONNECTING</a>   = 8, </div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32aa84ae07332ea1c0504a30495d6131bb7">   28</a></span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32aa84ae07332ea1c0504a30495d6131bb7">MCM_MODEM_STATE_CONNECTED</a>    = 9, </div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32abcf84ee8343cab55d5aaa28df645f93c">MCM_MODEM_STATE_NO_SIM</a>       = 99 </div>
<div class="line"><a name="l00030"></a><span class="lineno"><a class="line" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32abcf84ee8343cab55d5aaa28df645f93c">   30</a></span>&#160;} <a class="code" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32">McmModemState</a>;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keywordtype">int</span> <a class="code" href="mcm-modem-info_8h.html#a8f49396d97fec9048fd1274beb0c74c9">mcm_modem_get_all_properties</a>(<span class="keywordtype">char</span> *interfaceName, <span class="keywordtype">int</span> *arr_len, <a class="code" href="structmcm__property__info.html">mcm_property_info</a> **info_arr);</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keywordtype">int</span> <a class="code" href="mcm-modem-info_8h.html#a717f94a3cb36b97f3e516a74059e5fc7">mcm_modem_get_property</a>(<span class="keywordtype">char</span> *interfaceName, <span class="keywordtype">char</span> *<a class="code" href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a>, <span class="keywordtype">char</span> **<a class="code" href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a>, <span class="keywordtype">int</span> cached);</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="keywordtype">int</span> <a class="code" href="mcm-modem-info_8h.html#a59fde988c045b771aaca67f842d4371f">mcm_get_modem_info</a>(<span class="keywordtype">char</span> *interfaceName, <a class="code" href="structmcm__modem__info.html">mcm_modem_info</a> *modem_info);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="amcm-base-info_8h_html"><div class="ttname"><a href="mcm-base-info_8h.html">mcm-base-info.h</a></div></div>
<div class="ttc" id="amcm-base-info_8h_html_a63b548928a16f43766049f86ef90671b"><div class="ttname"><a href="mcm-base-info_8h.html#a63b548928a16f43766049f86ef90671b">propertyValue</a></div><div class="ttdeci">char * propertyValue</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:1</div></div>
<div class="ttc" id="amcm-base-info_8h_html_ad20b8c57a45da862d3567815284924bf"><div class="ttname"><a href="mcm-base-info_8h.html#ad20b8c57a45da862d3567815284924bf">propertyName</a></div><div class="ttdeci">char * propertyName</div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:0</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_a59fde988c045b771aaca67f842d4371f"><div class="ttname"><a href="mcm-modem-info_8h.html#a59fde988c045b771aaca67f842d4371f">mcm_get_modem_info</a></div><div class="ttdeci">int mcm_get_modem_info(char *interfaceName, mcm_modem_info *modem_info)</div><div class="ttdoc">A help function for get modem information.</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.c:50</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_a717f94a3cb36b97f3e516a74059e5fc7"><div class="ttname"><a href="mcm-modem-info_8h.html#a717f94a3cb36b97f3e516a74059e5fc7">mcm_modem_get_property</a></div><div class="ttdeci">int mcm_modem_get_property(char *interfaceName, char *propertyName, char **propertyValue, int cached)</div><div class="ttdoc">A help function for get property.</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.c:40</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_a8f49396d97fec9048fd1274beb0c74c9"><div class="ttname"><a href="mcm-modem-info_8h.html#a8f49396d97fec9048fd1274beb0c74c9">mcm_modem_get_all_properties</a></div><div class="ttdeci">int mcm_modem_get_all_properties(char *interfaceName, int *arr_len, mcm_property_info **info_arr)</div><div class="ttdoc">A help function for get all ethernet properties.</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.c:15</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32">McmModemState</a></div><div class="ttdeci">McmModemState</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:18</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32a1a81741fe0946f734851ccff3a5ff731"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a1a81741fe0946f734851ccff3a5ff731">MCM_MODEM_STATE_REGISTERED</a></div><div class="ttdeci">@ MCM_MODEM_STATE_REGISTERED</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:26</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32a2fcc38a8cf59637e5c2a64c3fa63077c"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a2fcc38a8cf59637e5c2a64c3fa63077c">MCM_MODEM_STATE_RADIO_OFF</a></div><div class="ttdeci">@ MCM_MODEM_STATE_RADIO_OFF</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:23</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32a53917931b6ce02779a6379a62e0bbec4"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a53917931b6ce02779a6379a62e0bbec4">MCM_MODEM_STATE_PIN_LOCKED</a></div><div class="ttdeci">@ MCM_MODEM_STATE_PIN_LOCKED</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:21</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32a9445f907dc7e6234c0c8c2d6203b7da0"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a9445f907dc7e6234c0c8c2d6203b7da0">MCM_MODEM_STATE_SEARCHING</a></div><div class="ttdeci">@ MCM_MODEM_STATE_SEARCHING</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:25</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32aa84ae07332ea1c0504a30495d6131bb7"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32aa84ae07332ea1c0504a30495d6131bb7">MCM_MODEM_STATE_CONNECTED</a></div><div class="ttdeci">@ MCM_MODEM_STATE_CONNECTED</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:28</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32abcf84ee8343cab55d5aaa28df645f93c"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32abcf84ee8343cab55d5aaa28df645f93c">MCM_MODEM_STATE_NO_SIM</a></div><div class="ttdeci">@ MCM_MODEM_STATE_NO_SIM</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:29</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32aceae074bcb388fcb2cc0d68c9d78893c"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32aceae074bcb388fcb2cc0d68c9d78893c">MCM_MODEM_STATE_INITIALIZING</a></div><div class="ttdeci">@ MCM_MODEM_STATE_INITIALIZING</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:20</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32acf1c9438d153da2c7264db174f8663fb"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32acf1c9438d153da2c7264db174f8663fb">MCM_MODEM_STATE_PUK_LOCKED</a></div><div class="ttdeci">@ MCM_MODEM_STATE_PUK_LOCKED</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:22</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32ad0cf432ab051e6b380cedc418a319487"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32ad0cf432ab051e6b380cedc418a319487">MCM_MODEM_STATE_NOT_READY</a></div><div class="ttdeci">@ MCM_MODEM_STATE_NOT_READY</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:19</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32af11dd7d91b6e0f5fc892b1c83ed61009"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32af11dd7d91b6e0f5fc892b1c83ed61009">MCM_MODEM_STATE_RADIO_ON</a></div><div class="ttdeci">@ MCM_MODEM_STATE_RADIO_ON</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:24</div></div>
<div class="ttc" id="amcm-modem-info_8h_html_ad2bb07396a290d6e6e8cebaf8e019d32afe24b1f6dbea1f97ee9c310bcb274ea3"><div class="ttname"><a href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32afe24b1f6dbea1f97ee9c310bcb274ea3">MCM_MODEM_STATE_CONNECTING</a></div><div class="ttdeci">@ MCM_MODEM_STATE_CONNECTING</div><div class="ttdef"><b>Definition:</b> mcm-modem-info.h:27</div></div>
<div class="ttc" id="astructmcm__modem__info_html"><div class="ttname"><a href="structmcm__modem__info.html">mcm_modem_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:136</div></div>
<div class="ttc" id="astructmcm__property__info_html"><div class="ttname"><a href="structmcm__property__info.html">mcm_property_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:40</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
